## pbbam 0.19.0+dfsg

=== CMakeLists.txt ===
########################################################################
# CMake build script for PacBioBAM library.
########################################################################

cmake_policy(SET CMP0048 NEW)  # lets us set version in project()
project(PacBioBAM VERSION 0.19.0 LANGUAGES CXX C)
cmake_minimum_required(VERSION 3.0)

# project name & version
set(PacBioBAM_NAME pbbam)
set(PacBioBAM_VERSION
  "${PacBioBAM_VERSION_MAJOR}.${PacBioBAM_VERSION_MINOR}.${PacBioBAM_VERSION_PATCH}"
)

# list build-time options
option(PacBioBAM_build_docs    "Build PacBioBAM's API documentation."                   ON)
option(PacBioBAM_build_tests   "Build PacBioBAM's unit tests."                          ON)
option(PacBioBAM_build_shared  "Build PacBioBAM as shared library as well."             OFF)
option(PacBioBAM_build_tools   "Build PacBioBAM command line utilities (e.g. pbindex)"  ON)
option(PacBioBAM_use_modbuild  "Build PacBioBAM using Modular Build System."            OFF)
option(PacBioBAM_use_ccache    "Build PacBioBAM using ccache, if available."            ON)
option(PacBioBAM_auto_validate "Build PacBioBAM with auto-validation enabled."          OFF)

if(PacBioBAM_build_tests)
    enable_testing()
endif()

set(PacBioBAM_permissive_cigar  OFF)
STRING(TOLOWER "${PBBAM_PERMISSIVE_CIGAR}" PBBAM_PERMISSIVE_CIGAR_LOWER)
if (DEFINED PBBAM_PERMISSIVE_CIGAR)
    set(PacBioBAM_permissive_cigar  ON)
    add_definitions(-DPBBAM_PERMISSIVE_CIGAR)
endif()

# project paths
set(PacBioBAM_RootDir       ${CMAKE_CURRENT_LIST_DIR})
set(PacBioBAM_DocsDir       ${PacBioBAM_RootDir}/docs)
set(PacBioBAM_IncludeDir    ${PacBioBAM_RootDir}/include)
set(PacBioBAM_SourceDir     ${PacBioBAM_RootDir}/src)
set(PacBioBAM_TestsDir      ${PacBioBAM_RootDir}/tests)
set(PacBioBAM_ThirdPartyDir ${PacBioBAM_RootDir}/third-party)
set(PacBioBAM_ToolsDir      ${PacBioBAM_RootDir}/tools)

if(NOT PacBioBAM_OutputDir)
    set(PacBioBAM_OutputDir ${CMAKE_CURRENT_BINARY_DIR})
endif()
set(PacBioBAM_BinDir    ${PacBioBAM_OutputDir}/bin)
set(PacBioBAM_LibDir    ${PacBioBAM_OutputDir}/lib)

set(GeneratedDir ${CMAKE_BINARY_DIR}/generated)
set(GeneratedTestDataDir ${GeneratedDir}/data)
file(MAKE_DIRECTORY ${PacBioBAM_BinDir})
file(MAKE_DIRECTORY ${PacBioBAM_LibDir})
file(MAKE_DIRECTORY ${GeneratedDir})
file(MAKE_DIRECTORY ${GeneratedTestDataDir})

# project configuration (keep this order)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake ${CMAKE_MODULE_PATH})
include(pbbam-ccache)
include(pbbam-compilerflags)
include(pbbam-libtype)
include(pbbam-dependencies)

# project components (keep this order)
add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(docs)
add_subdirectory(tests)

=== meson_options.txt ===
option('build-tools',
    type : 'boolean',
    value : true,
    description : 'Build PacBioBAM command line utilities (e.g. pbindex)')

option('build-docs',
    type : 'boolean',
    value : false,
    description : 'Build PacBioBAM\'s API documentation')

option('auto-validate',
    type : 'boolean',
    value : false,
    description : 'Build PacBioBAM with BAM validation')

option('tests',
    type : 'boolean',
    value : true,
    description : 'Enable dependencies required for testing')

option('permissive-cigar',
    type : 'boolean',
    value : false,
    description : 'Allows loading BAM records which contain "M" operations in CIGAR strings.')

=== docs/CMakeLists.txt ===
find_package(Doxygen)

if(DOXYGEN_FOUND)
    configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${PacBioBAM_DocsDir}/Doxyfile @ONLY )
    add_custom_target(doc
        ${DOXYGEN_EXECUTABLE} ${PacBioBAM_DocsDir}/Doxyfile
        WORKING_DIRECTORY ${PacBioBAM_DocsDir}
        COMMENT "Generating API documentation with Doxygen"
        VERBATIM
    )
endif()

=== src/CMakeLists.txt ===

# grab library source files
include(files.cmake)
set(SOURCES
    ${PacBioBAM_H}
    ${PacBioBAM_CPP}
)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PacBioBAM_CXX_FLAGS}")

# define actual library
add_library(pbbam ${SOURCES})

# library properties
set_target_properties(pbbam PROPERTIES
    ARCHIVE_OUTPUT_DIRECTORY ${PacBioBAM_LibDir}
    RUNTIME_OUTPUT_DIRECTORY ${PacBioBAM_LibDir}
    LIBRARY_OUTPUT_DIRECTORY ${PacBioBAM_LibDir}
)

if(PacBioBAM_auto_validate)
    target_compile_definitions(pbbam
        PUBLIC "-DPBBAM_AUTOVALIDATE=1"
    )
endif()

# pbbam includes
target_include_directories(pbbam
    PUBLIC
    ${PacBioBAM_IncludeDir}
    ${hts_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIRS}
)

# set link dependencies
#if(HTSLIB_LIBRARIES)
set(pbbam_all_dependency_libs
    ${hts_LIBRARIES}
    ${ZLIB_LIBRARIES}
    ${SOCKET_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

target_link_libraries(pbbam
    PUBLIC
    ${pbbam_all_dependency_libs}
)

# define include paths for projects that use pbbam
set(PacBioBAM_INCLUDE_DIRS
    ${PacBioBAM_IncludeDir}
    ${hts_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${ZLIB_INCLUDE_DIRS}
    CACHE INTERNAL
    "${PROJECT_NAME}: Include Directories"
    FORCE
)
set(PacBioBAM_LIBRARIES
    $<TARGET_FILE:pbbam>
    ${pbbam_all_dependency_libs}
    CACHE INTERNAL
    "${PROJECT_NAME}: Libraries"
    FORCE
)

=== tests/CMakeLists.txt ===

if(PacBioBAM_build_tests)

    # setup GoogleTest
    if (NOT GTEST_SRC_DIR)
        set(PREBUILT_GTEST_SRC ${PacBioBAM_RootDir}/../../../../prebuilt.tmpout/gtest/gtest_1.7.0/)
        if(EXISTS ${PREBUILT_GTEST_SRC})
            set(GTEST_SRC_DIR ${PREBUILT_GTEST_SRC})
        else()
            set(GTEST_SRC_DIR ${PacBioBAM_RootDir}/../gtest) # keep old fallback behavior for external builds, for now at least
        endif()
    endif()
    add_subdirectory(${GTEST_SRC_DIR} external/gtest/build)

    # generate paths/values used by for unit tests
    configure_file(
        ${PacBioBAM_TestsDir}/src/PbbamTestData.h.in
        ${CMAKE_BINARY_DIR}/generated/PbbamTestData.h
    )
    configure_file(
        ${PacBioBAM_TestsDir}/data/group/group.fofn.in
        ${CMAKE_BINARY_DIR}/generated/group.fofn
    )
    configure_file(
        ${PacBioBAM_TestsDir}/data/pbbamify/synthetic_movie_all.subreadset.xml.in
        ${CMAKE_BINARY_DIR}/generated/synthetic_movie_all.subreadset.xml
    )

    # grab PacBioBAM unit test source files
    include(files.cmake)
    set(SOURCES
        ${PacBioBAMTest_H}
        ${PacBioBAMTest_CPP}
    )
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PacBioBAM_CXX_FLAGS}")

    # define unit test executable
    if(MSVC)
        # VS2012+ pooh-pooh's Derek's "#define private public" trick
        add_definitions(-D_ALLOW_KEYWORD_MACROS)
    endif()

    add_executable(test_pbbam ${SOURCES})
    set_target_properties(test_pbbam PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${PacBioBAM_BinDir}
    )
    target_include_directories(test_pbbam
        PUBLIC
        ${CMAKE_BINARY_DIR}/generated
        ${PacBioBAM_INCLUDE_DIRS}
        ${gtest_SOURCE_DIR}/include
        ${gtest_SOURCE_DIR}
    )

    # generate test data
    add_custom_target(
        generate_test_data
        WORKING_DIRECTORY ${PacBioBAM_TestsDir}/scripts
        COMMAND "python" generate_data.py
            ${PacBioBAM_TestsDir}/data/
            ${GeneratedTestDataDir}
    )

    # add unit tests to test framework
    add_test(
        NAME UnitTests
        WORKING_DIRECTORY ${PacBioBAM_BinDir}
        COMMAND test_pbbam
    )
    add_dependencies(test_pbbam generate_test_data)
    target_link_libraries(test_pbbam
        pbbam
        ${CMAKE_THREAD_LIBS_INIT} # quirky pthreads
        gtest
        gtest_main
    )
endif() # PacBioBAM_build_tests

=== tools/CMakeLists.txt ===


if(DEFINED PacBioBAM_build_pbindex)

    # Deprecating the "PacBioBAM_build_pbindex" command line option in favor of more
    # general "PacBioBAM_build_tools", as we're starting to add new utilities.
    #
    # That said, I don't want to break current auto tests/builds, so I'm providing a
    # warning message so devs are aware.
    #
    # construct warning message
    set(pbindex_warning "\nDeprecated:\n-DPacBioBAM_build_pbindex\n")
    if (PacBioBAM_build_pbindex)
        set(pbindex_warning "${pbindex_warning} Building as requested,")
    else()
        set(pbindex_warning "${pbindex_warning} Skipping as requested,")
    endif()
    set(pbindex_warning "${pbindex_warning} but support for this option will be removed at some point in the future.\n")
    message(AUTHOR_WARNING "${pbindex_warning} ** Use -DPacBioBAM_build_tools instead. **\n")

    # force PacBioBAM_build_tools option
    set(PacBioBAM_build_tools
        ${PacBioBAM_build_pbindex} CACHE BOOL
        "Build PacBioBAM with add'l utilities (e.g. pbindex, pbindexdump)." FORCE)
endif()

if (PacBioBAM_build_tools)

    # tools directory
    set(ToolsCommonDir ${PacBioBAM_ToolsDir}/common)
    set(PacBioBAM_CramTestsDir ${PacBioBAM_TestsDir}/src/cram)

    # quash warning with OptionParser
    include(CheckCXXCompilerFlag)
    check_cxx_compiler_flag("-Wno-unused-private-field" HAS_NO_UNUSED_PRIVATE_FIELD)
    if(HAS_NO_UNUSED_PRIVATE_FIELD)
        set(PacBioBAM_CXX_FLAGS "${PacBioBAM_CXX_FLAGS} -Wno-unused-private-field")
    endif()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PacBioBAM_CXX_FLAGS}")

    # tools
    add_subdirectory(bam2sam)
    add_subdirectory(pbindex)
    add_subdirectory(pbindexdump)
    add_subdirectory(pbmerge)
    add_subdirectory(pbbamify)

endif()

=== tools/bam2sam/CMakeLists.txt ===

set(Bam2SamSrcDir ${PacBioBAM_ToolsDir}/bam2sam/src)

# create version header
set(Bam2Sam_VERSION ${PacBioBAM_VERSION})
configure_file(
    ${Bam2SamSrcDir}/Bam2SamVersion.h.in ${GeneratedDir}/Bam2SamVersion.h @ONLY
)

# list source files
set(BAM2SAM_SOURCES
    ${ToolsCommonDir}/OptionParser.cpp
    ${Bam2SamSrcDir}/main.cpp
    ${Bam2SamSrcDir}/Bam2Sam.cpp
)

# build bam2sam executable
include(PbbamTool)
create_pbbam_tool(
    TARGET  bam2sam
    SOURCES ${BAM2SAM_SOURCES}
)

# cram tests
if (PacBioBAM_build_tests)

    configure_file(
        ${PacBioBAM_CramTestsDir}/bam2sam.t.in
        ${GeneratedDir}/bam2sam.t
    )

    add_test(
        NAME bam2sam_CramTests
        WORKING_DIRECTORY ${PacBioBAM_TestsDir}/scripts
        COMMAND "python" cram.py
            ${GeneratedDir}/bam2sam.t
    )

endif()

=== tools/pbbamify/CMakeLists.txt ===

set(PbbamifySrcDir ${PacBioBAM_ToolsDir}/pbbamify/src)

# create version header
set(PbBamify_VERSION ${PacBioBAM_VERSION})
configure_file(
    ${PbbamifySrcDir}/PbBamifyVersion.h.in ${GeneratedDir}/PbBamifyVersion.h @ONLY
)

# list source files
set(PBBAMIFY_SOURCES
    ${ToolsCommonDir}/OptionParser.cpp
    ${PbbamifySrcDir}/main.cpp
    ${PbbamifySrcDir}/PbBamify.cpp
    ${PbbamifySrcDir}/QueryLookup.cpp
)

# build pbbamify executable
include(PbbamTool)
create_pbbam_tool(
    TARGET  pbbamify
    SOURCES ${PBBAMIFY_SOURCES}
)

# cram tests
if (PacBioBAM_build_tests AND PacBioBAM_permissive_cigar)

    configure_file(
        ${PacBioBAM_CramTestsDir}/pbbamify.t.in
        ${GeneratedDir}/pbbamify.t
    )

    add_test(
        NAME pbbamify_CramTests
        WORKING_DIRECTORY ${PacBioBAM_TestsDir}/scripts
        COMMAND "python" cram.py
            ${GeneratedDir}/pbbamify.t
    )

endif()

=== tools/pbindexdump/CMakeLists.txt ===

set(PbindexdumpSrcDir ${PacBioBAM_ToolsDir}/pbindexdump/src)

# create version header
set(PbIndexDump_VERSION ${PacBioBAM_VERSION})
configure_file(
    ${PbindexdumpSrcDir}/PbIndexDumpVersion.h.in ${GeneratedDir}/PbIndexDumpVersion.h @ONLY
)

# list source files
set(PBINDEXDUMP_SOURCES
    ${ToolsCommonDir}/OptionParser.cpp
    ${PbindexdumpSrcDir}/CppFormatter.cpp
    ${PbindexdumpSrcDir}/JsonFormatter.cpp
    ${PbindexdumpSrcDir}/PbIndexDump.cpp
    ${PbindexdumpSrcDir}/main.cpp
)

# build pbindexdump executable
include(PbbamTool)
create_pbbam_tool(
    TARGET  pbindexdump
    SOURCES ${PBINDEXDUMP_SOURCES}
)

# cram tests
if (PacBioBAM_build_tests)

    configure_file(
        ${PacBioBAM_CramTestsDir}/pbindexdump_json.t.in
        ${GeneratedDir}/pbindexdump_json.t
    )

    configure_file(
        ${PacBioBAM_CramTestsDir}/pbindexdump_cpp.t.in
        ${GeneratedDir}/pbindexdump_cpp.t
    )

    add_test(
        NAME pbindexdump_CramTests
        WORKING_DIRECTORY ${PacBioBAM_TestsDir}/scripts
        COMMAND "python" cram.py
            ${GeneratedDir}/pbindexdump_json.t
            ${GeneratedDir}/pbindexdump_cpp.t
    )

endif()

=== tools/pbmerge/CMakeLists.txt ===

set(PbmergeSrcDir ${PacBioBAM_ToolsDir}/pbmerge/src)

# create version header
set(PbMerge_VERSION ${PacBioBAM_VERSION})
configure_file(
    ${PbmergeSrcDir}/PbMergeVersion.h.in ${GeneratedDir}/PbMergeVersion.h @ONLY
)

# list source files
set(PBMERGE_SOURCES
    ${ToolsCommonDir}/BamFileMerger.h
    ${ToolsCommonDir}/OptionParser.cpp
    ${PbmergeSrcDir}/main.cpp
)

# build pbmerge executable
include(PbbamTool)
create_pbbam_tool(
    TARGET  pbmerge
    SOURCES ${PBMERGE_SOURCES}
)

# cram tests
if (PacBioBAM_build_tests)
    if(PacBioBAM_auto_validate)
        # skip for now til we clean up merge tests under autovalidate, too
    else()

        configure_file(
            ${PacBioBAM_CramTestsDir}/pbmerge_pacbio_ordering.t.in
            ${GeneratedDir}/pbmerge_pacbio_ordering.t
            @ONLY
        )
 
        configure_file(
            ${PacBioBAM_CramTestsDir}/pbmerge_aligned_ordering.t.in
            ${GeneratedDir}/pbmerge_aligned_ordering.t
            @ONLY
        )

        configure_file(
            ${PacBioBAM_CramTestsDir}/pbmerge_mixed_ordering.t.in
            ${GeneratedDir}/pbmerge_mixed_ordering.t
            @ONLY
        )

        configure_file(
            ${PacBioBAM_CramTestsDir}/pbmerge_dataset.t.in
            ${GeneratedDir}/pbmerge_dataset.t
            @ONLY
        )

        configure_file(
            ${PacBioBAM_CramTestsDir}/pbmerge_fofn.t.in
            ${GeneratedDir}/pbmerge_fofn.t
            @ONLY
        )

        add_test(
            NAME pbmerge_CramTests
            WORKING_DIRECTORY ${PacBioBAM_TestsDir}/scripts
            COMMAND "python" cram.py
                ${GeneratedDir}/pbmerge_pacbio_ordering.t
                ${GeneratedDir}/pbmerge_aligned_ordering.t
                ${GeneratedDir}/pbmerge_mixed_ordering.t
                ${GeneratedDir}/pbmerge_dataset.t
                ${GeneratedDir}/pbmerge_fofn.t
        )

    endif()
endif()

=== debian/changelog ===
pbbam (0.19.0+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Fix autopkgtest on different architectures

  [ Andreas Tille ]
  * Cleanup d/rules
  * No "Provides: libpbbam" due to ABI incompatibility

 -- Andreas Tille <tille@debian.org>  Wed, 06 Feb 2019 09:16:06 +0100

pbbam (0.19.0+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Fix build dir name for tests
    Closes: #909071

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 11:50:20 +0100

pbbam (0.19.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Steve Langasek ]
  * Provide generated files to autopkgtest
    Closes: #921122

  [ Andreas Tille ]
  * debhelper 12
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 03 Feb 2019 08:00:29 +0100

pbbam (0.19.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix samtools call in tests
  * d/control: Bump (fake) SOVERSION (=release version)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Oct 2018 12:45:02 +0200

pbbam (0.18.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Missing Breaks+Replaces: libpbbam (<< 0.18)
    Closes: #910206
  * No needs-recommends restrictions, just Test-Depends: samtools

 -- Andreas Tille <tille@debian.org>  Wed, 03 Oct 2018 22:24:56 +0200

pbbam (0.18.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Upstream is now tagging releases -> adapt watch file
  * Upstream switched from cmake to meson
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Use d-shlibs
  * Remove unneeded trigger
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * hardening=+all
  * Add Breaks/Provides/Replaces libpbbam

  [ Fabian Kloetzl ]
  * fix dependency check for meson

 -- Andreas Tille <tille@debian.org>  Thu, 06 Sep 2018 14:29:53 +0200

=== debian/control ===
Source: pbbam
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-exec,
               d-shlibs,
               meson,
               pkg-config,
               python,
# swig3.0,
               libboost-dev (>= 1.54),
               zlib1g-dev,
               libssl-dev,
               libhts-dev,
# Test-Depends:
               libgtest-dev,
               python-cram,
               samtools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/pbbam
Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
Homepage: http://pbbam.readthedocs.org/en/latest/index.html

Package: pbbamtools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbbam0.19.0 (= ${binary:Version})
Recommends: samtools
Description: processing Pacific Biosciences binary alignment/map files
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information.
 .
 This package provides command-line utilities for working with PacBio BAM
 files.

Package: libpbbam0.19.0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libpbbam (<< ${source:Version})
Replaces: libpbbam
Description: Pacific Biosciences binary alignment/map (BAM) library
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files

Package: libpbbam-dev
Architecture: any
Section: libdevel
Depends: libpbbam0.19.0 (= ${binary:Version}),
         libhts-dev,
         libssl-dev,
         ${misc:Depends}
Breaks: libpbbam (<< 0.18)
Replaces: libpbbam (<< 0.18)
Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
 The BAM format is a binary, compressed, record-oriented container format
 for raw or aligned sequence reads. The associated SAM format is a text
 representation of the same data. The specifications for BAM/SAM are maintained
 by the SAM/BAM Format Specification Working Group.
 .
 PacBio-produced BAM files are fully compatible with the BAM specification,
 but makes use of the extensibility mechanisms of the BAM specification to
 encode PacBio-specific information. The pbbam library provides tools to
 work with these files
 .
 This package contains the library header files.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_VERSION_UPSTREAM := $(subst +ds,,$(DEB_VERSION_UPSTREAM))
generated_data_dir = $(CURDIR)/gendata

%:
	  dh $@ --buildsystem=meson

override_dh_auto_test: $(subst .t.in,.deb.t,$(wildcard tests/src/cram/pb*.t.in))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_configure -O--buildsystem=meson
	mkdir -p $(generated_data_dir)
	python tests/scripts/generate_data.py $(CURDIR)/tests/data $(generated_data_dir)
	# Fix broken PATH
	synthetic_movie_all_path=`find $$PWD -name synthetic_movie_all.subreadset.xml` ; \
	sed -i -e "s?.GENERATEDDATADIR/synthetic_movie_all.subreadset.xml?$${synthetic_movie_all_path}?" tests/src/cram/pbbamify*
	BINDIR=`dirname $$(find $$PWD -name pbmerge -type f -executable)`; \
	LIBDIR=`find $$PWD -name lib -type d`; \
	PATH="$$BINDIR:$(PATH)" LD_LIBRARY_PATH="$$LIBDIR:$(LD_LIBRARY_PATH)" \
	cram -v --preserve-env $^
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_clean:
	dh_auto_clean
	find -name "*.deb.t" -delete
	$(RM) -r $(generated_data_dir)

%.deb.t: %.t.in
	sed \
	-e 's/$$BAM2SAM/samtools view/g' \
	-e 's/\-\-header\-only/-H/g' \
	-e 's/\-\-no\-header//g' \
	-e 's|@PacBioBAM_BinDir@/||g' \
	-e 's|$$TOOLS_BIN/||g' \
	-e 's|@PacBioBAM_TestsDir@|$(CURDIR)/tests|g' \
	-e 's|@PacBioBAM_VERSION@|$(DEB_VERSION_UPSTREAM)|g' \
	-e 's|@GeneratedTestDataDir@|$(generated_data_dir)|g' \
	-e '/@PG/s|+dfsg||g' \
	-e 's/$$SAMTOOLS/samtools/g' \
	$< > $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --exclude-a \
		    --override s/libhts2-dev/libhts-dev/ \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

## pbbam 1.0.6%2Bdfsg

=== debian/changelog ===
pbbam (1.0.6+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:35 +0100

pbbam (1.0.6+dfsg-2) unstable; urgency=medium

  * Reupload to enable testing migration

 -- Andreas Tille <tille@debian.org>  Sat, 21 Dec 2019 13:30:52 +0100

pbbam (1.0.6+dfsg-1) unstable; urgency=medium

  * Drop <!nocheck> option from python3-cram
    Closes: #934467
  * New upstream version
  * Standards-Version: 4.4.1
  * Remove patch debug_tests.patch that is missing from
    debian/patches/series.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.
  * Build-Depends: cmake, libpbcopper-dev (>= 1.3.0)
  * Adapt test results to latest samtools
  * d-shlibs override for libpbcopper1.3.0-dev
  * Unfortunately upstream does not distinguish between release version
    and SOVERSION - just follow their versioning anyway and rename
    dynamic library package

 -- Andreas Tille <tille@debian.org>  Fri, 20 Dec 2019 11:27:03 +0100

pbbam (0.23.0+dfsg-1) unstable; urgency=medium

  * Afif removed himself from Uploaders
  * Add myself to Uploaders
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Contact, Name.
  * Rename library to libpbbam0.23.0 due to upstream choice of ABI version
  * Remove code copy of python-cram from upstream source
  * Build-Depends: python3-cram
  * d/control: Use <!nocheck> instead of comment

 -- Andreas Tille <tille@debian.org>  Sun, 04 Aug 2019 21:16:32 +0200

pbbam (0.19.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply autopkgtest regression fix from Steve Langasek.
    (Closes: #908269)
  * libpbbam0.19.0: Remove the incorrect Provides: libpbbam.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 08:53:24 +0200

## pbbam 1.0.6+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: pbbam
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                d-shlibs,
                meson,
                pkg-config,
-               python,
+               cmake,
 # swig3.0,
-               libboost-dev (>= 1.54),
+               libboost-dev,
                zlib1g-dev,
                libssl-dev,
                libhts-dev,
-# Test-Depends:
-               libgtest-dev,
-               python-cram,
-               samtools
-Standards-Version: 4.3.0
+               libpbcopper-dev (>= 1.3.0),
+               python3-cram,
+               libgtest-dev <!nocheck>,
+               samtools <!nocheck>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: http://pbbam.readthedocs.org/en/latest/index.html
@@ -27,7 +27,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam0.19.0 (= ${binary:Version})
+         libpbbam1.0.6 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -42,7 +42,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam0.19.0
+Package: libpbbam1.0.6
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -65,7 +65,7 @@
 Package: libpbbam-dev
 Architecture: any
 Section: libdevel
-Depends: libpbbam0.19.0 (= ${binary:Version}),
+Depends: libpbbam1.0.6 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,14 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_configure -O--buildsystem=meson
 	mkdir -p $(generated_data_dir)
-	python tests/scripts/generate_data.py $(CURDIR)/tests/data $(generated_data_dir)
+	python3 tests/scripts/generate_data.py $(CURDIR)/tests/data $(generated_data_dir)
 	# Fix broken PATH
 	synthetic_movie_all_path=`find $$PWD -name synthetic_movie_all.subreadset.xml` ; \
 	sed -i -e "s?.GENERATEDDATADIR/synthetic_movie_all.subreadset.xml?$${synthetic_movie_all_path}?" tests/src/cram/pbbamify*
 	BINDIR=`dirname $$(find $$PWD -name pbmerge -type f -executable)`; \
 	LIBDIR=`find $$PWD -name lib -type d`; \
 	PATH="$$BINDIR:$(PATH)" LD_LIBRARY_PATH="$$LIBDIR:$(LD_LIBRARY_PATH)" \
-	cram -v --preserve-env $^
+	cram3 -v --preserve-env $^
 endif
 
 override_dh_installchangelogs:
@@ -56,6 +56,7 @@
 		    --exclude-la \
 		    --exclude-a \
 		    --override s/libhts2-dev/libhts-dev/ \
+		    --override s/libpbcopper1.3.0-dev/libpbcopper-dev/ \
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		    debian/tmp/usr/lib/*/*.so

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbbam/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## pbbam 1.0.7+dfsg

=== debian/changelog ===
pbbam (1.0.7+dfsg-0ubuntu1) groovy; urgency=medium

  * New upstream version.
  * Fix d-shlibs invocation in d/rules.
  * Update binary package name.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 27 May 2020 13:31:24 +1200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pbbam
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
@@ -27,7 +28,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam1.0.6 (= ${binary:Version})
+         libpbbam1.0.7 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -42,7 +43,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam1.0.6
+Package: libpbbam1.0.7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -65,7 +66,7 @@
 Package: libpbbam-dev
 Architecture: any
 Section: libdevel
-Depends: libpbbam1.0.6 (= ${binary:Version}),
+Depends: libpbbam1.0.7 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 		    --exclude-la \
 		    --exclude-a \
 		    --override s/libhts2-dev/libhts-dev/ \
-		    --override s/libpbcopper1.3.0-dev/libpbcopper-dev/ \
+		    --override s/libpbcopper1.6.0-dev/libpbcopper-dev/ \
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		    debian/tmp/usr/lib/*/*.so

## pbbam 1.6.0+dfsg

=== debian/changelog ===
pbbam (1.6.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sun, 15 Nov 2020 06:31:21 +0100

pbbam (1.6.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
    Closes: #973160
  * Bump versioned Build-Depends: libpbcopper-dev (>= 1.8.0)

  [ Étienne Mollier ]
  * Add boost_optional.patch to address boost::optional error.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Nov 2020 16:36:05 +0100

pbbam (1.3.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 11 Sep 2020 12:55:04 +0200

pbbam (1.3.0+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * New upstream version (+ bump soname)
    Closes: #959643
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Fix d-shlibs override
  * Silence dh_missing by removing unneeded *.la file
  * New ABI version -> changed binary package name to libpbbam1.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 01 Sep 2020 15:37:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pbbam
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                d-shlibs,
                meson,
@@ -15,20 +14,21 @@
                zlib1g-dev,
                libssl-dev,
                libhts-dev,
-               libpbcopper-dev (>= 1.3.0),
+               libpbcopper-dev (>= 1.8.0),
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: http://pbbam.readthedocs.org/en/latest/index.html
+Rules-Requires-Root: no
 
 Package: pbbamtools
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam1.0.7 (= ${binary:Version})
+         libpbbam1.6.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -43,7 +43,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam1.0.7
+Package: libpbbam1.6.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -66,7 +66,7 @@
 Package: libpbbam-dev
 Architecture: any
 Section: libdevel
-Depends: libpbbam1.0.7 (= ${binary:Version}),
+Depends: libpbbam1.6.0 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}

=== debian/tests/control ===
Test-Command: debian/rules override_dh_auto_test
Depends:
	@builddeps@,
	pbbamtools,
Restrictions: rw-build-tree, allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/PacificBiosciences/pbbam/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## pbbam 2.0.0+dfsg

=== meson_options.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-option('build-tools',
-    type : 'boolean',
-    value : true,
-    description : 'Build PacBioBAM command line utilities (e.g. pbindex)')
-
 option('build-docs',
     type : 'boolean',
     value : false,

=== debian/changelog ===
pbbam (2.0.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2022 20:25:09 +0100

pbbam (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1006776
  * Bump SONAME to 2.0.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Mar 2022 15:26:06 +0100

pbbam (1.7.0+dfsg-2) unstable; urgency=medium

  * d/watch: Add filemangle

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 10:03:13 +0100

pbbam (1.7.0+dfsg-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Use secure URI in Homepage field.
  * Apply multi-arch hints.
    + libpbbam-dev: Add Multi-Arch: same.
  * Upstream has bumped SONAME, following this

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 10:17:08 +0200

=== debian/control ===
--- 
+++ 
@@ -18,17 +18,17 @@
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
-Homepage: http://pbbam.readthedocs.org/en/latest/index.html
+Homepage: https://pbbam.readthedocs.org/en/latest/index.html
 Rules-Requires-Root: no
 
 Package: pbbamtools
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam1.6.0 (= ${binary:Version})
+         libpbbam2.0.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -43,7 +43,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam1.6.0
+Package: libpbbam2.0.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -51,7 +51,6 @@
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: libpbbam (<< ${source:Version})
-Replaces: libpbbam
 Description: Pacific Biosciences binary alignment/map (BAM) library
  The BAM format is a binary, compressed, record-oriented container format
  for raw or aligned sequence reads. The associated SAM format is a text
@@ -65,13 +64,12 @@
 
 Package: libpbbam-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libpbbam1.6.0 (= ${binary:Version}),
+Depends: libpbbam2.0.0 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}
-Breaks: libpbbam (<< 0.18)
-Replaces: libpbbam (<< 0.18)
 Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
  The BAM format is a binary, compressed, record-oriented container format
  for raw or aligned sequence reads. The associated SAM format is a text

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,8 @@
 		    --exclude-la \
 		    --exclude-a \
 		    --override s/libhts2-dev/libhts-dev/ \
-		    --override s/libpbcopper1.6.0-dev/libpbcopper-dev/ \
+		    --override s/libpbcopper[0-9.]*-dev/libpbcopper-dev/ \
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		    debian/tmp/usr/lib/*/*.so
+	find debian -name "lib*.la" -delete

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/PacificBiosciences/pbbam/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pbbam 2.1.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
SOURCEDIR	  = source

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR) 
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext fig

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: basefig MANY_CLUSTER.png
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pbtoolkits.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pbtoolkits.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pbtoolkits"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pbtoolkits"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

basefig:
	dot -Tpng $(SOURCEDIR)/dependencies.dot > $(SOURCEDIR)/$@
	grep -v "\"pbsmrtpipe\" ->" $(SOURCEDIR)/dependencies.dot  \
		| grep -v "> \"pbcore\"" \
		| sed 's/All/Sparse/' > $(SOURCEDIR)/sparse_dependencies.dot  
	dot -Tpng $(SOURCEDIR)/sparse_dependencies.dot \
		> $(SOURCEDIR)/sparse_dependencies.png

%.png: basefig
	grep -v $* $(SOURCEDIR)/sparse_dependencies.dot | \
	grep -v \? | sed 's/Sparse dependencies/Module bundles/' | \
	dot -Tpng > $(SOURCEDIR)/$@

=== debian/changelog ===
pbbam (2.1.0+dfsg-2) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 06 Oct 2022 11:27:28 +0200

pbbam (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Bump SONAME to 2.1.0

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jul 2022 11:36:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                meson,
                pkg-config,
                cmake,
-# swig3.0,
                libboost-dev,
                zlib1g-dev,
                libssl-dev,
@@ -18,7 +17,7 @@
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: https://pbbam.readthedocs.org/en/latest/index.html
@@ -28,7 +27,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam2.0.0 (= ${binary:Version})
+         libpbbam2.1.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -43,7 +42,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam2.0.0
+Package: libpbbam2.1.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -66,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpbbam2.0.0 (= ${binary:Version}),
+Depends: libpbbam2.1.0 (= ${binary:Version}),
          libhts-dev,
          libssl-dev,
          ${misc:Depends}

## pbbam 2.3.0+dfsg

=== debian/changelog ===
pbbam (2.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * refreshed patches
  * d/control: use ${devlibs:Depends} on the -dev package
  * d/patches/spelling: fix a typo
  * d/control: build-dep on the newer pbcopper (2.2.0)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 13 Aug 2023 14:08:17 +0200

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                zlib1g-dev,
                libssl-dev,
                libhts-dev,
-               libpbcopper-dev (>= 1.8.0),
+               libpbcopper-dev (>> 2.2.0),
                python3-cram,
                libgtest-dev <!nocheck>,
                samtools <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/pbbam
 Vcs-Git: https://salsa.debian.org/med-team/pbbam.git
 Homepage: https://pbbam.readthedocs.org/en/latest/index.html
@@ -27,7 +27,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbbam2.1.0 (= ${binary:Version})
+         libpbbam2.3.0 (= ${binary:Version})
 Recommends: samtools
 Description: processing Pacific Biosciences binary alignment/map files
  The BAM format is a binary, compressed, record-oriented container format
@@ -42,7 +42,7 @@
  This package provides command-line utilities for working with PacBio BAM
  files.
 
-Package: libpbbam2.1.0
+Package: libpbbam2.3.0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -65,8 +65,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libpbbam2.1.0 (= ${binary:Version}),
-         libhts-dev,
+Depends: libpbbam2.3.0 (= ${binary:Version}),
+         ${devlibs:Depends},
          libssl-dev,
          ${misc:Depends}
 Description: Pacific Biosciences binary alignment/map (BAM) library (headers)
